Skip to main content
PUT
/
api
/
v2
/
workspaces
/
{workspaceId}
/
incidents
/
{source}
/
{incidentId}
/
comments
/
{commentId}
Update incident comment
curl --request PUT \
  --url https://api.example.com/api/v2/workspaces/{workspaceId}/incidents/{source}/{incidentId}/comments/{commentId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": "<string>",
  "extensionId": "<string>"
}
'
import requests

url = "https://api.example.com/api/v2/workspaces/{workspaceId}/incidents/{source}/{incidentId}/comments/{commentId}"

payload = {
"content": "<string>",
"extensionId": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>', extensionId: '<string>'})
};

fetch('https://api.example.com/api/v2/workspaces/{workspaceId}/incidents/{source}/{incidentId}/comments/{commentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "type": "<string>",
  "title": "<string>",
  "status": 123,
  "detail": "<string>",
  "instance": "<string>",
  "code": "<string>",
  "requestId": "<string>",
  "timestamp": "<string>",
  "target": "<string>",
  "errors": {}
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}

Path Parameters

workspaceId
string<uuid>
required
source
enum<string>
required
Available options:
Sentinel,
DefenderXDR,
QRadar,
Splunk,
CrowdStrike,
SentinelOne
incidentId
string
required
commentId
string
required

Body

application/json

v2 request body for updating an existing comment on an incident.

content
null | string
required

Replacement body for the comment.

extensionId
null | string
required

Id of the extension associated with the incident; required to route the write back to the originating system.

Response

No Content